<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Sat Jul 31 15:01:23 EDT 2021 -->
<title>ImageModifiable</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-07-31">
<meta name="description" content="declaration: package: modeles, class: ImageModifiable">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">modeles</a></div>
<h1 title="Class ImageModifiable" class="title">Class ImageModifiable</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">modeles.ImageModifiable</div>
</div>
<section class="description">
<dl class="notes">
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../communs/Observable.html" title="interface in communs">Observable</a></code>, <code><a href="../communs/Observateur.html" title="interface in communs">Observateur</a></code>, <code><a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a></code>, <code>java.io.Serializable</code>, <code>java.lang.Cloneable</code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">ImageModifiable</span>
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable, <a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a>, <a href="../communs/Observable.html" title="interface in communs">Observable</a>, <a href="../communs/Observateur.html" title="interface in communs">Observateur</a></pre>
<div class="block">modele representant une image et les transformations geometriques que l'on y
 applique</div>
<dl class="notes">
<dt>See Also:</dt>
<dd><a href="../serialized-form.html#modeles.ImageModifiable">Serialized Form</a></dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.awt.image.BufferedImage)">ImageModifiable</a></span>&#8203;(java.awt.image.BufferedImage&nbsp;source)</code></th>
<td class="col-last">
<div class="block">cree une image modifiable en se servant de l'image specifie comme base</div>
</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(modeles.ImageModifiable)">ImageModifiable</a></span>&#8203;(<a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&nbsp;imgSource)</code></th>
<td class="col-last">
<div class="block">Cree une image modifiable en surveillant une autre, permettant
 potentiellement de chaÃ®ner les changements.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ajouterEchelle(double)">ajouterEchelle</a></span>&#8203;(double&nbsp;echelle)</code></th>
<td class="col-last">
<div class="block">ajoute un facteur d'echelle (zoom) a la presente image et avertit les
 observateurs. une echelle negative a pour effet de reduire le zoom</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ajouterObservateur(communs.Observateur)">ajouterObservateur</a></span>&#8203;(<a href="../communs/Observateur.html" title="interface in communs">Observateur</a>&nbsp;o)</code></th>
<td class="col-last">
<div class="block">ajoute un observateur au dictionnaire des observateurs. ne fait rien si
 l'observateur y est deja.</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#ajouterTransformation(java.awt.geom.AffineTransform)">ajouterTransformation</a></span>&#8203;(java.awt.geom.AffineTransform&nbsp;t)</code></th>
<td class="col-last">
<div class="block">ajoute un transformation affine a l'image et averti ses observateurs</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#deplacer(java.awt.Point)">deplacer</a></span>&#8203;(java.awt.Point&nbsp;delta)</code></th>
<td class="col-last">
<div class="block">ajoute le deplacement decrit par le point donne en parametre a la position
 actuelle et avertit les aobservateurs du changement</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>java.awt.image.BufferedImage</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getImageModifiee()">getImageModifiee</a></span>()</code></th>
<td class="col-last">
<div class="block">applique la transformation affine concatenee a l'image source et retourne le
 resultat de la transformation</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getX()">getX</a></span>()</code></th>
<td class="col-last">
<div class="block">retourne la position en X du coin superieur gauche de l'image</div>
</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getY()">getY</a></span>()</code></th>
<td class="col-last">
<div class="block">retourne la position en Y du coin superieur gauche de l'image</div>
</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#notifier()">notifier</a></span>()</code></th>
<td class="col-last">
<div class="block">avertit l'instance presente d'un changement dans l'Ã©tat d'un objet observe</div>
</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#notifierObservateurs()">notifierObservateurs</a></span>()</code></th>
<td class="col-last">
<div class="block">notifie tous les observateurs enregistres d'un changement d'etat du present
 objet</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#restaurer(controleurs.Memento)">restaurer</a></span>&#8203;(<a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a>&nbsp;m)</code></th>
<td class="col-last">
<div class="block">utilise le memento passe en parametre pour restaurer un etat precedent et
 avertit les observateurs. si c'est un memento d'ImageModifiable, rÃ©cupÃ¨re la
 transformation, position, echelle. si le memento est null, reinitialise les
 valeurs. ne fait rien si le memento n'est pas du bon type</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#retirerObservateur(communs.Observateur)">retirerObservateur</a></span>&#8203;(<a href="../communs/Observateur.html" title="interface in communs">Observateur</a>&nbsp;o)</code></th>
<td class="col-last">
<div class="block">retire un observateur du dictionnaire des observateurs. ne fait rien s'il n'y
 est pas.</div>
</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code><a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sauvegarder()">sauvegarder</a></span>()</code></th>
<td class="col-last">
<div class="block">cree un memento de l'ImageModifiable</div>
</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setPosition(java.awt.Point)">setPosition</a></span>&#8203;(java.awt.Point&nbsp;p)</code></th>
<td class="col-last">
<div class="block">change la position du coin superieur gauche de l'image</div>
</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setSource(java.awt.image.BufferedImage)">setSource</a></span>&#8203;(java.awt.image.BufferedImage&nbsp;source)</code></th>
<td class="col-last">
<div class="block">change l'image source de l'instance et avertit les observateurs</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.awt.image.BufferedImage)">
<h3>ImageModifiable</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">ImageModifiable</span>&#8203;(<span class="parameters">java.awt.image.BufferedImage&nbsp;source)</span></div>
<div class="block">cree une image modifiable en se servant de l'image specifie comme base</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>source</code> - image qui sera transformee par ce modele</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(modeles.ImageModifiable)">
<h3>ImageModifiable</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">ImageModifiable</span>&#8203;(<span class="parameters"><a href="ImageModifiable.html" title="class in modeles">ImageModifiable</a>&nbsp;imgSource)</span></div>
<div class="block">Cree une image modifiable en surveillant une autre, permettant
 potentiellement de chaÃ®ner les changements. L'image source sera l'image
 modifiee du param</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>imgSource</code> - ImageModifiable sur laquelle sera basee la nouvelle instance</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="ajouterTransformation(java.awt.geom.AffineTransform)">
<h3>ajouterTransformation</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">ajouterTransformation</span>&#8203;(<span class="parameters">java.awt.geom.AffineTransform&nbsp;t)</span></div>
<div class="block">ajoute un transformation affine a l'image et averti ses observateurs</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>t</code> - AffineTransform a concatener a this.transformation</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getImageModifiee()">
<h3>getImageModifiee</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.awt.image.BufferedImage</span>&nbsp;<span class="member-name">getImageModifiee</span>()</div>
<div class="block">applique la transformation affine concatenee a l'image source et retourne le
 resultat de la transformation</div>
</section>
</li>
<li>
<section class="detail" id="setSource(java.awt.image.BufferedImage)">
<h3>setSource</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setSource</span>&#8203;(<span class="parameters">java.awt.image.BufferedImage&nbsp;source)</span></div>
<div class="block">change l'image source de l'instance et avertit les observateurs</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>source</code> - nouvelle image source</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getX()">
<h3>getX</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getX</span>()</div>
<div class="block">retourne la position en X du coin superieur gauche de l'image</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la position en X</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getY()">
<h3>getY</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getY</span>()</div>
<div class="block">retourne la position en Y du coin superieur gauche de l'image</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>la position en Y</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setPosition(java.awt.Point)">
<h3>setPosition</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setPosition</span>&#8203;(<span class="parameters">java.awt.Point&nbsp;p)</span></div>
<div class="block">change la position du coin superieur gauche de l'image</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>p</code> - le nouveau Point du coin</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="deplacer(java.awt.Point)">
<h3>deplacer</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">deplacer</span>&#8203;(<span class="parameters">java.awt.Point&nbsp;delta)</span></div>
<div class="block">ajoute le deplacement decrit par le point donne en parametre a la position
 actuelle et avertit les aobservateurs du changement</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>delta</code> - point contenant le deplacement en x et en y a ajouter a la
              position</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="ajouterEchelle(double)">
<h3>ajouterEchelle</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">ajouterEchelle</span>&#8203;(<span class="parameters">double&nbsp;echelle)</span></div>
<div class="block">ajoute un facteur d'echelle (zoom) a la presente image et avertit les
 observateurs. une echelle negative a pour effet de reduire le zoom</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>echelle</code> - facteur d'echlle a ajouter a l'image</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="sauvegarder()">
<h3>sauvegarder</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a></span>&nbsp;<span class="member-name">sauvegarder</span>()</div>
<div class="block">cree un memento de l'ImageModifiable</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../controleurs/Memento.html#sauvegarder()">sauvegarder</a></code>&nbsp;in interface&nbsp;<code><a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a></code></dd>
<dt>Returns:</dt>
<dd>memento clone a partir de l'instance</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="restaurer(controleurs.Memento)">
<h3>restaurer</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">restaurer</span>&#8203;(<span class="parameters"><a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a>&nbsp;m)</span></div>
<div class="block">utilise le memento passe en parametre pour restaurer un etat precedent et
 avertit les observateurs. si c'est un memento d'ImageModifiable, rÃ©cupÃ¨re la
 transformation, position, echelle. si le memento est null, reinitialise les
 valeurs. ne fait rien si le memento n'est pas du bon type</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../controleurs/Memento.html#restaurer(controleurs.Memento)">restaurer</a></code>&nbsp;in interface&nbsp;<code><a href="../controleurs/Memento.html" title="interface in controleurs">Memento</a></code></dd>
<dt>Parameters:</dt>
<dd><code>m</code> - Memento dont on doit recuperer les valeurs.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="notifier()">
<h3>notifier</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">notifier</span>()</div>
<div class="block">avertit l'instance presente d'un changement dans l'Ã©tat d'un objet observe</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../communs/Observateur.html#notifier()">notifier</a></code>&nbsp;in interface&nbsp;<code><a href="../communs/Observateur.html" title="interface in communs">Observateur</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="ajouterObservateur(communs.Observateur)">
<h3>ajouterObservateur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">ajouterObservateur</span>&#8203;(<span class="parameters"><a href="../communs/Observateur.html" title="interface in communs">Observateur</a>&nbsp;o)</span></div>
<div class="block">ajoute un observateur au dictionnaire des observateurs. ne fait rien si
 l'observateur y est deja.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../communs/Observable.html#ajouterObservateur(communs.Observateur)">ajouterObservateur</a></code>&nbsp;in interface&nbsp;<code><a href="../communs/Observable.html" title="interface in communs">Observable</a></code></dd>
<dt>Parameters:</dt>
<dd><code>o</code> - observateur a ajouter</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="retirerObservateur(communs.Observateur)">
<h3>retirerObservateur</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">retirerObservateur</span>&#8203;(<span class="parameters"><a href="../communs/Observateur.html" title="interface in communs">Observateur</a>&nbsp;o)</span></div>
<div class="block">retire un observateur du dictionnaire des observateurs. ne fait rien s'il n'y
 est pas.</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../communs/Observable.html#retirerObservateur(communs.Observateur)">retirerObservateur</a></code>&nbsp;in interface&nbsp;<code><a href="../communs/Observable.html" title="interface in communs">Observable</a></code></dd>
<dt>Parameters:</dt>
<dd><code>o</code> - observateur a retirer</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="notifierObservateurs()">
<h3>notifierObservateurs</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">notifierObservateurs</span>()</div>
<div class="block">notifie tous les observateurs enregistres d'un changement d'etat du present
 objet</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="../communs/Observable.html#notifierObservateurs()">notifierObservateurs</a></code>&nbsp;in interface&nbsp;<code><a href="../communs/Observable.html" title="interface in communs">Observable</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
